package service

import (
	"context"
	"git.oa00.com/supply-chain/service/client"
)

type Service struct {
	Audit audit
}

type ArgsServiceLists struct {
	CustomerId uint
	Status     uint
}

type ReplyServiceLists struct {
	ServiceId   uint   `json:"serviceId"`
	ServiceName string `json:"serviceName"`
	EndTime     int64  `json:"endTime"`
	AppKey      string `json:"appKey"`
	AppSecret   string `json:"appSecret"`
	AuditStatus uint   `json:"auditStatus"`
}

// Lists @Title 全部服务
func (s *Service) Lists(ctx context.Context, args ArgsServiceLists) (reply []ReplyServiceLists, err error) {
	xClient, err := client.GetClient(s)
	if err != nil {
		return
	}
	err = xClient.Call(ctx, "Lists", args, &reply)
	return
}
